Cygport Reference Manual

### TABLE OF CONTENTS

- lndirs
- manifestize
- cygmake
- src_compile

## lndirs

[ Top ] [ Compiling ] [ Compile Functions ]

SYNOPSIS

      lndirs [SOURCE_DIRECTORY [BUILD_DIRECTORY]]

DESCRIPTION

Replicates the given source directory into the given build directory by creating subdirectories and symlinking files. This is to be used in order to build in $B where the build system does not natively support out-of-path builds.

If only the source directory is given, the current working directory is used for the build directory. If no arguments are given, $S is linked into $B.

REQUIRES

lndir

## manifestize

[ Top ] [ Compiling ] [ Compile Functions ]

DESCRIPTION

This function is obsolete with binutils-2.24.51 (20140326) or newer, which provides a default manifest for all PE applications at link time.

## cygmake

[ Top ] [ Compiling ] [ General Functions ]

SYNOPSIS

      cygmake [OPTIONS]

DESCRIPTION

Calls 'make', passing MAKEOPTS and any options given.

NOTE

By default, MAKEOPTS is set to use parallel make based on the number of CPU cores on the system. If the package's Makefiles do not support parallel builds, append "-j1" to MAKEOPTS or call "cygmake -j1".

## src_compile

[ Top ] [ Compiling ] [ Compile Functions ]

DESCRIPTION

This function must be defined in the .cygport file, or in inherit()ed cygclasses, containing all steps necessary to configure and compile the package.

The default src_compile function is provided by autotools.cygclass.